%global srcname     notifications
%global appname     io.elementary.notifications

%global commit      ba4310b6dde3fb8d63a873fe0a83dd199b50dd73
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate  20200318

Name:           elementary-notifications
Version:        0
Release:        0.2.%{commitdate}.git%{shortcommit}%{?dist}
Summary:        GTK Notifications Server
License:        GPLv3+

URL:            https://github.com/elementary/notifications
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(granite) >= 5.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra)

%description
elementary Notifications is a GTK notification server for Pantheon.


%prep
%autosetup -n %{srcname}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%check
desktop-file-validate \
    %{buildroot}/%{_sysconfdir}/xdg/autostart/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml


%files
%license LICENSE
%doc README.md

%config(noreplace) %{_sysconfdir}/xdg/autostart/%{appname}.desktop

%{_bindir}/%{appname}

%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
* Sat Mar 21 2020 Fabio Valentini <decathorpe@gmail.com> - 0-0.2.20200318.gitba4310b
- Bump to commit ba4310b.

* Fri Feb 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0-0.1.20200224.git676c175
- Initial packaging for fedora.

